Skip to navigation

Get a session

One session by OCPI id. If two parties use the same id, pass country_code and party_id (409 otherwise).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

session_idstringRequired1-36 characters
OCPI session id.

Query parameters

country_codestring or nullOptionalformat: "^[A-Z]{2}$"=2 characters
Only this OCPI party country code, e.g. NL.
party_idstring or nullOptionalformat: "^[A-Z0-9]{3}$"=3 characters
Only this OCPI party id, e.g. OCP.

Response

The requested object.
idinteger
session_idstring
start_date_timedatetime
kwhstring
cdr_tokenobject
Token snapshot stored on a session or CDR. Older rows may only have a uid. The other OCPI fields are null until the processor stored them.
auth_methodenum or any
location_idstring
evse_uidstring
connector_idstring
currencystring
statusenum or any
last_updateddatetime
rolestring
originenum or any
organization_idstring
country_codestring
party_idstring
ocpi_versionstring
billing_stateenum or any
created_atdatetime
updated_atdatetime
end_date_timedatetime or nullOptional
authorization_referencestring or nullOptional
meter_idstring or nullOptional
charging_periodslist of objects or nullOptional
total_costobject or nullOptional
charge_point_idstring or nullOptional
billing_errorstring or nullOptional
billed_cdr_idstring or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error